Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/memories/approve/{source}/{resource_id} \
--header 'Authorization: Bearer <token>'{
"resource_id": "<string>",
"source": "reddit",
"status": "pending"
}Approve a pending-review resource for indexing.
Sets the resource status to PENDING so it will be picked up by the indexing pipeline. Fires an indexing event and an approval notification.
curl --request POST \
--url https://api.hyperspell.com/memories/approve/{source}/{resource_id} \
--header 'Authorization: Bearer <token>'{
"resource_id": "<string>",
"source": "reddit",
"status": "pending"
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
reddit, notion, slack, google_calendar, google_mail, box, dropbox, google_drive, github, vault, web_crawler, trace, microsoft_teams Successful Response
Response after approving or rejecting a resource.
reddit, notion, slack, google_calendar, google_mail, box, dropbox, google_drive, github, vault, web_crawler, trace, microsoft_teams pending, processing, completed, failed, pending_review, skipped Was this page helpful?